Bug 1018065 - CVE-2013-4767 eucalyptus: Unspecified Critical Issue. [fedora-all] [NEEDINFO]
CVE-2013-4767 eucalyptus: Unspecified Critical Issue. [fedora-all]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eucalyptus (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://www.eucalyptus.com/resources/...
fst_owner=Sparks, fst_ping=1
: Security, SecurityTracking
Depends On: 992234
Blocks: CVE-2013-4767
  Show dependency treegraph
 
Reported: 2013-10-11 02:44 EDT by Ratul Gupta
Modified: 2015-02-17 12:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pj.pandit: needinfo? (extras-orphan)


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-10-11 02:44:33 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Ratul Gupta 2013-10-11 02:44:42 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1018064,1018065
Comment 2 Fedora Admin XMLRPC Client 2013-12-10 00:09:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Eric Christensen 2014-07-28 15:53:53 EDT
This vulnerability was downgraded to Important.
Comment 5 Eric Christensen 2014-07-28 16:39:36 EDT
I contacted upstream asking for a patch so we can correct this vulnerability.  Incidentally, they provided a work around in their advisory as follows:

In /usr/lib64/axis2c/services/EucalyptusCC/services.xml remove the following consecutive three lines  
     <operation name="BundleInstance">
     <parameter name="wsamapping">EucalyptusCC#BundleInstance</parameter>
     </operation>

Is it possible to just push a patch removing these lines?  I'm guessing this would become effective as soon as eucalyptus was restarted.  Thoughts?
Comment 6 Eric Christensen 2014-07-30 14:37:40 EDT
The commit to fix this in 3.3.2 is here: https://github.com/eucalyptus/eucalyptus/commit/c252889a46f41b4c396b89e005ec89836f2524be

According to their development ticket (https://eucalyptus.atlassian.net/browse/EUCA-7572) they never fixed it in 3.3.0.  I've asked if it's possible to fix 3.3.0 the same way as 3.3.2.
Comment 7 Garrett Holmstrom 2014-07-31 16:51:48 EDT
Given that the main challenge will be getting the software to build at all after a year's worth of dependency churn in Fedora, it doesn't really matter what exactly the update will change.  I will attempt to build version 3.3.2.
Comment 8 Garrett Holmstrom 2014-08-23 15:37:37 EDT
It is becoming clear to me that making eucalyptus and its dependency tree begin working sanely is beyond my means.  I am going to have to throw in the towel here and orphan the package.  :-(  If you or anyone else are interested in giving it a try please feel free to do so.
Comment 9 Fedora Admin XMLRPC Client 2014-08-23 15:48:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 pjp 2014-12-03 13:24:16 EST
Hello extras-orphan,

Could you please fix this soon?
Comment 11 Fedora End Of Life 2015-01-09 15:12:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 12:37:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.